package com.ruoyi.mqtt.dto;

/**
 * MQTT响应消息基类
 */
public class MqttResponseMessage<T> extends MqttBaseMessage<T> {
    
    /**
     * 发布时间戳(原始请求的时间戳)
     */
    private Long pubTimestamp;
    
    /**
     * 状态: ok/fail
     */
    private String status;
    
    public MqttResponseMessage() {
    }
    
    public MqttResponseMessage(Long timestamp, Long pubTimestamp, String status, T args) {
        super(timestamp, args);
        this.pubTimestamp = pubTimestamp;
        this.status = status;
    }
    
    public Long getPubTimestamp() {
        return pubTimestamp;
    }
    
    public void setPubTimestamp(Long pubTimestamp) {
        this.pubTimestamp = pubTimestamp;
    }
    
    public String getStatus() {
        return status;
    }
    
    public void setStatus(String status) {
        this.status = status;
    }
}
